---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libLockingThreads.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x22E90, symBinAddr: 0x3060, symSize: 0x0 }
  - { offsetInCU: 0x69, offset: 0x69, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x22E94, symBinAddr: 0x3064, symSize: 0x0 }
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x22E98, symBinAddr: 0x3068, symSize: 0x0 }
  - { offsetInCU: 0x4CB0, offset: 0x4CB0, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_thread_LockingThreads_00024Thread1_B, symObjAddr: 0xE10, symBinAddr: 0xBF0, symSize: 0x3B0 }
  - { offsetInCU: 0x52C1, offset: 0x52C1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x11C0, symBinAddr: 0xFA0, symSize: 0x110 }
  - { offsetInCU: 0x53B7, offset: 0x53B7, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x12D0, symBinAddr: 0x10B0, symSize: 0x160 }
  - { offsetInCU: 0x5532, offset: 0x5532, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x1430, symBinAddr: 0x1210, symSize: 0xB0 }
  - { offsetInCU: 0x5599, offset: 0x5599, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x14E0, symBinAddr: 0x12C0, symSize: 0x150 }
  - { offsetInCU: 0x5756, offset: 0x5756, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x1AD0, symBinAddr: 0x1820, symSize: 0xB0 }
  - { offsetInCU: 0x57B1, offset: 0x57B1, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x1FF0, symBinAddr: 0x18D0, symSize: 0x80 }
  - { offsetInCU: 0x5814, offset: 0x5814, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x18B0, symBinAddr: 0x1600, symSize: 0x220 }
  - { offsetInCU: 0x59D2, offset: 0x59D2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1630, symBinAddr: 0x1410, symSize: 0x150 }
  - { offsetInCU: 0x5C06, offset: 0x5C06, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x1780, symBinAddr: 0x1560, symSize: 0xA0 }
...
